From 4887480d56d550c0d67daa9dced604af6cd436d2 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Tue, 9 Jul 2024 03:38:30 +0800
Subject: [PATCH] Provide definition of __private_extern__ where
 undefined

---
 jdk/src/solaris/native/java/io/io_util_md.c        | 4 ++++
 jdk/src/solaris/native/java/net/Inet6AddressImpl.c | 3 +++
 2 files changed, 7 insertions(+)

diff --git jdk/src/solaris/native/java/io/io_util_md.c jdk/src/solaris/native/java/io/io_util_md.c
index 0dee96b890..86407b2e5f 100644
--- jdk/src/solaris/native/java/io/io_util_md.c
+++ jdk/src/solaris/native/java/io/io_util_md.c
@@ -43,6 +43,10 @@
 #include <sys/ioctl.h>
 #endif
 
+#if defined(__GNUC__) && !defined(__private_extern__)
+#define __private_extern__ __attribute__((visibility("hidden")))
+#endif
+
 #ifdef MACOSX
 
 #include <CoreFoundation/CoreFoundation.h>
diff --git jdk/src/solaris/native/java/net/Inet6AddressImpl.c jdk/src/solaris/native/java/net/Inet6AddressImpl.c
index bb351af3f8..f6c56a9531 100644
--- jdk/src/solaris/native/java/net/Inet6AddressImpl.c
+++ jdk/src/solaris/native/java/net/Inet6AddressImpl.c
@@ -54,6 +54,9 @@
 #define NI_MAXHOST 1025
 #endif
 
+#if defined(__GNUC__) && !defined(__private_extern__)
+#define __private_extern__ __attribute__((visibility("hidden")))
+#endif
 
 /************************************************************************
  * Inet6AddressImpl
